html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-family: 'Raleway', sans-serif;
    font-size: 1.6rem;
    line-height: 2;
}
h1 {
    font-size: 4rem;
}

h2 {
    font-size: 3.2rem;
}

p {
    font-size: 2rem;
}

.entry-blog a {
    display: inline-block;
    background-color: #2196F3;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
}

/* Example Code - Mostly Fluid */
/* The "Mostly Fluid" pattern is an approach in responsive web design that focuses on creating a layout
   which adapts effectively to various screen sizes while maintaining a flexible and fluid structure.
   This pattern aims to strike a balance between fixed and fluid elements, providing a consistent user experience across
   different devices. */

/* The content displays similarly across different screen sizes, with margins adjusting. */

.container {
    width: 95%; /* Using a percentage instead of a fixed value allows the text layout to adjust to the screensize, preventing horizontal scrolling. */
    max-width: 120rem; /* Restricts content from expanding excessively. Once the content's width reaches 120rem (1200px), it stops growing and auto margins become larger. */
    margin: 0 auto; /* Margin: top 0, left 0, bottom 0, right auto */
}

img {
    max-width: 100%; /* Using max-width instead of width enables images to adjust their size according to the screen size. Small images won't be forced to expand disproportionately. */
}

/* To ensure content grows more conservatively as the available screen size increases. */
@media (min-width: 768px) {
    .container {
        width: 95%;
    }
}

@media (min-width: 992px) {
    .container {
        width: 60%;
    }
}
